/*
 " "
   
*/

#include <stdio.h>

#define EPS 1e-5

double abs(double x) {
	return x >= 0 ? x : -x;
}

int eq(double a, double b) {
	return abs(b-a) < EPS;
}

int leq(double a, double b) {
	return a < b || eq(a, b);
}

int less(double a, double b) {
	return a < b && !eq(a, b);
}

int main() {
	FILE *fin = fopen("input.txt", "r");
	FILE *fout = fopen("output.txt", "w");

	double xa, ya, xb, yb;
	double l1, l2;
	double sqr_AB;

	fscanf(fin, "%lf%lf%lf%lf%lf%lf", &xa, &ya, &xb, &yb, &l1, &l2);

	sqr_AB = (xb-xa)*(xb-xa) + (yb-ya)*(yb-ya);
	if (leq(l1*l1, sqr_AB) && leq(sqr_AB, l2*l2))
		fprintf(fout, "%d", 1);
	else if (less(sqr_AB, l1*l1))
		fprintf(fout, "%d", 2);
	else {
		int x = 1;
		while (less(x*x*l2*l2, sqr_AB))
			x++;
		fprintf(fout, "%d", x);
	}

	fclose(fin);
	fclose(fout);

	return 0;
}